#!/bin/sh
#
# truncates cwd if too long, for PROMPT_COMMAND and PS1
#
# __copy1__
# __copy2__
#
# version 1.1 (2020/06)
#
ku_truncate_cwd()
{
	local cwd=`
	   pwd | awk '{
		cwd	= $0;
		cwdlen	= length( cwd );
		maxlen 	= '${COLUMNS:-80}' - 20;
		len	= (maxlen - 3) / 3;

		if (cwdlen > maxlen) {
			ncwd	= substr( cwd, 0, len ) "...";
			ncwd	= ncwd substr( cwd, cwdlen - (len * 2) );
			cwd	= ncwd;
		}
		print cwd;
	   }'
	`
	cwd=${cwd//\'/\'\\\'\'}	 # quote it
	echo "_ku_truncated_cwd='$cwd'"
}

