#!/bin/sh
#
# sets PS1 shell prompt
#
# __copy1__
# __copy2__


# ONLY IF $PS1 ALREADY DEFINED (INTERACTIVE SHELLS)

[ -z "${PS1:-}" ] || {

	if [ -f /etc/debian_version ]
	then
		PS1='${debian_chroot:+($debian_chroot)}'
	else
		PS1=
	fi

	# standard, add user and hostname
	#
	PS1="$PS1\u@\h"


	# NOT standard, current dir
	#
	# if present, uses ku_truncate_cwd pseudofunc (from ku-base
	# package) to set the current directory
	#
	if [ -f /lib/ku-base/ku_truncate_cwd.sh ]
	then
		. /lib/ku-base/ku_truncate_cwd.sh
		export PROMPT_COMMAND="eval \`ku_truncate_cwd\`"
		PS1="$PS1:\$_ku_truncated_cwd"
	else
		unset PROMPT_COMMAND
		PS1="$PS1:\w"
	fi

	# standard, trail
	#
	if [ `id -u` = 0 ]
	then
		__trail="#"
	else
		__trail="$"
	fi


	# NOT standard, ku-jtools integration
	#
	if [ -z "${PRJNAME:-}" ]
	then
		PS1="$PS1$__trail "
	else
		if [ `id -u` = 0 ]
		then
			PS1="#$PRJNAME:$PS1# "
		else
			PS1="[$PRJNAME:$PS1] "
		fi
	fi

	unset __trail

	export PS1

}

# /etc/profile.d/set_ps1.sh (eof)
